Getting issue in making .deb package of QT 5.2.1 app to deploy on Ubuntu 14.04



  • I want to make .deb package for the QT 5 .2.1 desktop app for ubuntu 14.04 64 bit. I have installed QT 5.2.1 on Ubuntu 14.04 and made a demo app for the testing purpose in which I have used Qt webkitwidgets. During in making the .deb package of the app I am getting the below issues.

    /usr/bin/ld: warning: libicui18n.so.51, needed by /opt/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Core.so.5.2.1, not found (try using -rpath or -rpath-link)
    /usr/bin/ld: warning: libicuuc.so.51, needed by /opt/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Core.so.5.2.1, not found (try using -rpath or -rpath-link)
    /opt/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Core.so.5.2.1: undefined reference to ucal_openTimeZones_51'
    /opt/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Core.so.5.2.1: undefined reference touenum_next_51' /opt/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Core.so.5.2.1: undefined reference to ucal_clone_51'
    /opt/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Core.so.5.2.1: undefined reference toucnv_getStandardName_51' /opt/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Core.so.5.2.1: undefined reference to ucol_close_51'
    /opt/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Core.so.5.2.1: undefined reference toucol_strcoll_51' /opt/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Core.so.5.2.1: undefined reference to ucnv_getMaxCharSize_51'
    /opt/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Core.so.5.2.1: undefined reference tou_strToLower_51' /opt/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Core.so.5.2.1: undefined reference to `ucnv_getAvailableName_51'

    and many more undefined reference error .......

    I found that Qt5 webkitwidgets takes the reference of icu library in Ubuntu and these errors are due to Qt5 webkitwidgets dependency on icu library in QT 5.

    These icu .so files are at path /opt/Qt5.2.1/5.2.1/gcc_64/lib/ in machine but these files are not referenced during the .deb packaging.

    I downloaded and installed the icu library for linux from the link http://download.icu-project.org/file...-RHEL6-x64.tgz into the my machine and compile and build the icu .so files and included the the same into the .pro file.

    Still there is linking issue with icu .so files exists. This icu library is for Red Hat Enterprise Linux 6.2 (x86 64-bit) gcc 4.4.6 because I did not get the same for the Ubuntu 14.04 64 bit, so I have used this.

    Is there any dependency file missing issue to deploy QT 5.2.1 app in Ubuntu 14.04 ? Please have look into the issue and let me know where I did wrong. Thanks.



  • I have fixed this issue by just copying the missing icu .so file from the path /opt/Qt5.2.1/Tools/QtCreator/lib/qtcreator to the path /usr/lib on ubuntu 14.04. There is no need to do extra things which I have done in my above thread.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.